<table class="table table-hover">
    <tr>
        <td width="20px">
            <a href="{{ url_for('main.users', username=question.author.username) }}">
                <img class="img-circle" src="{{ question.author.avatar(20) }}" />
            </a>
        </td>
        <td>        
            {% set user_link %}
                <a href="{{ url_for('main.users', username=question.author.username) }}">
                    {{ question.author.username }}
                </a>
            {% endset %}
                {{user_link}} asked this {{ moment(question.timestamp).fromNow() }}
        </td>
    </tr>
</table>
    
<div class="question">
    <div class="question-content">
        <div class="question-body">
            <a href="{{ url_for('.questions', id=question.id) }}">{{ question.body }}</a>
        </div>

        {% if question.answers.count() > 0 %}
        <div class="answer">
            <div class="answer-count">Answer 1 of {{ question.answers.count() }} <a href="{{ url_for('.questions', id=question.id) }}#answers">View All</a></div>
            <div class="answer-author">{{ question.answers[0].author.username }}</div>
            <div class="answer-body">{{ question.answers[0].body }}</div>
                
        </div>
        {% endif %}
    </div>
</div>
